/*
 * Copyright (c) 2018. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess;

import java.nio.charset.Charset;
import java.nio.charset.StandardCharsets;

/**
 * Store of library constants.
 *
 * @author Dmitry Samoshin aka gotty
 */
public final class ChessHogConstants {

    public static final Charset CHARSET = StandardCharsets.UTF_8;

    public static final String LOCALE_BUNDLE_FILE = "org.hedgecode.chess.LocalStrings";


    private ChessHogConstants() {
        throw new AssertionError(
                "No org.hedgecode.chess.ChessHogConstants instances!"
        );
    }

}
