/*
 * Copyright (c) 2018. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.domain;

/**
 *
 *
 * @author Dmitry Samoshin aka gotty
 */
public abstract class DomainObject<DomainObjectType extends DomainObject> {

    public static final String ID_PARAMETER = "id";

    public abstract Long getId();

    public boolean isIdentical(DomainObjectType another) {
        if (another == null)
            return false;

        if ((getId() == null) != (another.getId() == null))
            return false;

        if ((getId() == null) && (another.getId() == null))
            return true;

        return getId().equals(
                another.getId()
        );
    }

}
