/*
 * Copyright (c) 2018. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.tcg;

import org.hedgecode.chess.tcd.TCD;

/**
 * Tiny Chess Game (TCG) constants.
 *
 * @author Dmitry Samoshin aka gotty
 */
public final class TCG {

    public static final byte PAWN   = TCD.PAWN;
    public static final byte KNIGHT = TCD.KNIGHT;
    public static final byte BISHOP = TCD.BISHOP;
    public static final byte ROOK   = TCD.ROOK;
    public static final byte QUEEN  = TCD.QUEEN;
    public static final byte KING   = TCD.KING;

    public static final byte[][] SQUARE = TCD.SQUARE;

    private TCG() {
    }


}
